Bug 1047871 - calc: Conditional formatting dialog has unreachable controls on lower screen resolution
Summary: calc: Conditional formatting dialog has unreachable controls on lower screen ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-02 12:20 UTC by Lubos Kocman
Modified: 2014-02-07 15:40 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.1.4.2-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-16 06:58:37 UTC
Type: Bug


Attachments (Terms of Use)
screenshot: apply/save buttons are not visible (68.02 KB, image/png)
2014-01-02 12:20 UTC, Lubos Kocman
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 74598 None None None Never

Description Lubos Kocman 2014-01-02 12:20:04 UTC
Created attachment 844525 [details]
screenshot: apply/save buttons are not visible

Description of problem:

Hello, I can't really work with conditional formatting in calc on my screen with 1366x768 since all confirmation buttons are hidden and there is no way to display them in GNOME3 since window can't outreach screen bounds.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. set resolution to x768
2. be sure to be in GNOME 3 (or similar WM which doesn not allow you to move window title behind screen bounds
3. try to apply conditional formating (blind tab, tab, enter way is like a Russian roulette)

Actual results:

you can't really see controls of the dialog. See attachment.


Expected results:

dialog should be re-sizable so this won't happen no matter WM panels, and even smaller displays.


Additional info:

Comment 1 Caolan McNamara 2014-01-13 13:40:29 UTC
For f20 I'll just shrink down the fixed size main area and get everything else to match so it'll fit on screen but remain fixed size. Upstream I can convert it to the new widget layout system which will allow it to be resized dynamically.

Comment 2 Fedora Update System 2014-01-14 09:18:08 UTC
libreoffice-4.1.4.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.4.2-4.fc20

Comment 3 Fedora Update System 2014-01-15 06:07:11 UTC
Package libreoffice-4.1.4.2-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.4.2-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0838/libreoffice-4.1.4.2-4.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-01-15 11:00:16 UTC
libreoffice-4.1.4.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.4.2-4.fc19

Comment 5 Fedora Update System 2014-01-16 06:58:37 UTC
libreoffice-4.1.4.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Máximo Castañeda 2014-01-19 12:01:06 UTC
Have just seen this bug report.  For this and similar cases, while waiting for a real fix, there's a workaround at least in GNOME3.  Even though you cannot move the window out of the viewport by dragging the title bar, you can by dragging from other points.  Hold your Meta key (mine is the Windows key), click wherever in the window and drag.  You can also use whatever access key you have defined to move windows (mine is Alt+F7, and I think I have not changed it, so that's probably the default one).

Comment 7 Fedora Update System 2014-01-24 07:38:01 UTC
libreoffice-4.1.4.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.